//+------------------------------------------------------------------+
//|                                              Resistance Line.mq4 |
//|                                                            Ronin |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Ronin"
#property link      " "

#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 Yellow
extern int MaxLimit = 450;
//---- buffers
double ChartPP[];

int Model = 0;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init() {
	//---- indicators
	SetIndexBuffer(0,ChartPP);

	SetIndexStyle(0,DRAW_LINE,STYLE_SOLID);

	string short_name = "Resistance Line";
	IndicatorShortName(short_name);
	return(1);
}

//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit() {
	ObjectDelete("PP");
	Comment("");
	return(0);
}

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+

double prevL=0, prevH=0, prevC=0, prevO=0;
double P = 0;
int thisHour;

int start() {
		
	int counted_bars=IndicatorCounted();
	if (counted_bars >0) counted_bars--;
	int limit=Bars-counted_bars;

	int period = MathCeil(10 / PERIOD_H4);
        int timechart = PERIOD_H4;
        int ii;
        
	for (int i = limit-1; i>=0; i--) {
		if (i + period < Bars && TimeMinute(iTime(NULL,0,i)) == 0 && thisHour != TimeHour(iTime(NULL,0,i)) ) {
			thisHour = TimeHour(iTime(NULL,0,i));
			
			double d2 = High[iHighest(NULL, 0, MODE_HIGH, MaxLimit, i)];
			
			ii = iBarShift(NULL, timechart, iTime(NULL,0,i));
                        prevH = d2;
                        prevL = iLow(NULL, timechart, ii);
                        prevC = iClose(NULL, timechart, ii);

			if (Model == 0) {
				double R  = (prevH);
				P  = (prevH);
			} else if (Model == 1) {
				P  = (prevH);
			}
		}

		if (P > 0) {
			ChartPP[i] = P;

		}
	}
	return(0);
}

//+------------------------------------------------------------------+

void drawLabel (string name,double lvl,color Color) {
	if (ObjectFind(name) != 0) {
		ObjectCreate(name, OBJ_TEXT, 0, Time[10], lvl);
		ObjectSetText(name, name, 8, "Arial", EMPTY);
		ObjectSet(name, OBJPROP_COLOR, Color);
	} else {
		int x = 1 + MathCeil(10/Period());
		ObjectMove(name, 0, Time[x], lvl);
	}
}

